The holding object
Attributes
idstring
Unique identifier for the holding.
createdAtstring
When the object was created, ISO 8601.
updatedAtstring
When the object was last updated, ISO 8601.
userIdstring
Owner of the object. Always the authenticated user.
accountIdstring
Investment account this belongs to.
namenullable string
Holding name.
typenullable enum
One of
equity, etf, mutualFund, cryptocurrency, bond, cash, and others.tickerSymbolnullable string
Ticker, when known.
quantitynullable number
Number of units.
pricenullable number
Price per unit.
valuenullable number
Market value.
costBasisnullable number
Cost basis.
currencyCodenullable string
Quote currency.
isLinkednullable boolean
True when this holding came from a bank sync.
archivedAtnullable string
Set when the holding is archived.
GET/account-holdings
curl https://api.finwiseapp.io/account-holdings \-X GET \-H "Authorization: Bearer fw_..." \-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/account-holdings', {method: 'GET',headers: {Authorization: 'Bearer fw_...','Content-Type': 'application/json',},})const data = await response.json()
The holding object
[{"id": "11aa22bb-33cc-4dde-8eff-445566778899","createdAt": "2026-03-14T09:00:00.000Z","updatedAt": "2026-03-14T09:00:00.000Z","userId": "f472696c-47ac-4873-98cf-2a1069a1cf45","accountId": "94d2f962-d4e3-4c99-ab47-8c941cea012a","name": "Vanguard Total Stock","type": "etf","tickerSymbol": "VTI","currencyCode": "USD","quantity": 12.5,"price": 280.4,"value": 3505,"costBasis": 3100,"isLinked": false,"archivedAt": null,"originalAccountId": null}]